Bug 1566369 - qemu-img commit fails with "block/file-posix.c:1774: find_allocation: Assertion `offs >= start' failed" [rhel-7.5.z]
Summary: qemu-img commit fails with "block/file-posix.c:1774: find_allocation: Asserti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jeff Cody
QA Contact: Longxiang Lyu
URL:
Whiteboard:
Depends On: 1536636
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 07:49 UTC by Oneata Mircea Teodor
Modified: 2021-06-10 15:46 UTC (History)
21 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-21.el7_5.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1536636
Environment:
Last Closed: 2018-05-10 16:04:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3352421 0 None None None 2018-04-12 07:49:51 UTC
Red Hat Product Errata RHSA-2018:1369 0 None None None 2018-05-10 16:06:08 UTC

Description Oneata Mircea Teodor 2018-04-12 07:49:30 UTC
This bug has been copied from bug #1536636 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 2 Miroslav Rezanina 2018-04-13 11:17:37 UTC
Fix included in qemu-kvm-rhev-2.10.0-21.el7_5.2

Comment 4 Longxiang Lyu 2018-04-17 07:11:25 UTC
The bug-triggering method is based on BZ 1451191.

1. reproduction
selected components:
glusterfs-server-3.8.4-18.6.el7rhgs
qemu-kvm-rhev-2.9.0-16.el7_4.5

client locates on the same machine as GlusterFS server.

a. server info
# gluster volume info
 
Volume Name: gv0
Type: Distribute
Volume ID: 2f288a4b-6b96-41ad-98a0-49610427c0dc
Status: Started
Snapshot Count: 0
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: 10.66.60.166:/home/brick
Options Reconfigured:
transport.address-family: inet
performance.readdir-ahead: on
nfs.disable: on

b. mount the volume
# mount.glusterfs 127.0.0.1:gv0 /mnt/gluster1/

c. prepare a guest VM and convert it to raw
# qemu-img convert -f qcow2 /mnt/gluster1/rhel75-64-virtio-scsi.qcow2 -O raw disk.raw -p
qemu-img: block/file-posix.c:1774: find_allocation: Assertion `offs >= start' failed.
Aborted (core dumped)

2. testing of fix
# qemu-img --version
qemu-img version 2.10.0(qemu-kvm-rhev-2.10.0-21.el7_5.2)
Copyright (c) 2003-2017 Fabrice Bellard and the QEMU Project developers

# qemu-img convert -f qcow2 /mnt/gluster1/rhel75-64-virtio-scsi.qcow2 -O raw disk.raw -p
    (100.00/100%)

mark as verified then.

Comment 7 errata-xmlrpc 2018-05-10 16:04:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1369


Note You need to log in before you can comment on or make changes to this bug.